package com.madeu.service.web.webpayment;

import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

public interface WebPaymentService {
    public HashMap<String, Object> selectListPaymentIntro(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> selectListPayment(HashMap<String, Object> paramMap) throws Exception;
    public List<Map<String, Object>> selectPaymentListExcel(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> selectListPaymentUser(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> selectListPaymentUser2Intro(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> selectListPaymentUser2(HashMap<String, Object> paramMap) throws Exception;
    public List<Map<String, Object>> selectListPaymentUser2Excel(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> insertPayment(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> insertPaymentRequestHistory(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> insertPaymentResponseHistory(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> paymentCancellation(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> paymentCancellationPay(HashMap<String, Object> paramMap) throws Exception;
}
